Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 615488 - (CVE-2010-2754) CVE-2010-2754 Mozilla Cross-origin data leakage from script filename in error messages
CVE-2010-2754 Mozilla Cross-origin data leakage from script filename in error...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
public=20100720,reported=20100714,sou...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-16 15:52 EDT by Josh Bressers
Modified: 2013-04-12 17:49 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-12 17:49:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0544 normal SHIPPED_LIVE Moderate: thunderbird security update 2010-07-20 21:39:35 EDT
Red Hat Product Errata RHSA-2010:0545 normal SHIPPED_LIVE Critical: thunderbird security update 2010-07-20 21:18:47 EDT
Red Hat Product Errata RHSA-2010:0546 normal SHIPPED_LIVE Critical: seamonkey security update 2010-07-20 20:43:03 EDT
Red Hat Product Errata RHSA-2010:0547 normal SHIPPED_LIVE Critical: firefox security update 2010-07-20 21:09:15 EDT

  None (edit)
Description Josh Bressers 2010-07-16 15:52:32 EDT
Security researcher Soroush Dalili reported that potentially sensitive URL
parameters could be leaked across domains upon script errors when the
script filename and line number is included in the error message.
Comment 1 Vincent Danen 2010-07-20 20:01:29 EDT
This now public: http://www.mozilla.org/security/announce/2010/mfsa2010-47.html
Comment 2 errata-xmlrpc 2010-07-20 20:43:22 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 3
  Red Hat Enterprise Linux 4

Via RHSA-2010:0546 https://rhn.redhat.com/errata/RHSA-2010-0546.html
Comment 3 errata-xmlrpc 2010-07-20 21:09:54 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2010:0547 https://rhn.redhat.com/errata/RHSA-2010-0547.html
Comment 4 errata-xmlrpc 2010-07-20 21:19:24 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0545 https://rhn.redhat.com/errata/RHSA-2010-0545.html
Comment 5 errata-xmlrpc 2010-07-20 21:40:06 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2010:0544 https://rhn.redhat.com/errata/RHSA-2010-0544.html
Comment 6 Fedora Update System 2010-07-22 22:31:18 EDT
seamonkey-2.0.6-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2010-07-22 22:36:58 EDT
xulrunner-1.9.2.7-1.fc13, firefox-3.6.7-1.fc13, mozvoikko-1.0-12.fc13, gnome-web-photo-0.9-10.fc13, perl-Gtk2-MozEmbed-0.08-6.fc13.15, gnome-python2-extras-2.25.3-20.fc13, galeon-2.0.7-30.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2010-07-22 22:40:52 EDT
thunderbird-3.0.6-1.fc12, sunbird-1.0-0.23.20090916hg.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2010-07-22 22:43:01 EDT
seamonkey-2.0.6-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2010-07-22 22:46:43 EDT
xulrunner-1.9.1.11-1.fc12, firefox-3.5.11-1.fc12, gnome-web-photo-0.9-8.fc12, mozvoikko-1.0-11.fc12, perl-Gtk2-MozEmbed-0.08-6.fc12.14, gnome-python2-extras-2.25.3-19.fc12, galeon-2.0.7-24.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2010-07-22 22:48:38 EDT
thunderbird-3.1.1-1.fc13, sunbird-1.0-0.26.b2pre.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.